

<?php include_once('../_header.php'); ?>

<div class="box">
    <h1>DATA PENGAJUAN </h1>
    <h4>
        <a href="#menu-toggle" class="btn btn-warning btn-xs" id="menu-toggle">MENU</a>
        <div class="pull-right">
            <?php $id_print = @$_GET['id'] ?>
            <a href="cetak.php?id=<?= $id_print ?>" target="_blank" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-print"> <b>PRINT</b></span></a>
            <!-- <a href="../peripheral/add.php" class="btn btn-success btn-xs"><i class="glyphicon glyphicon-plus"></i> Tambah Peripheral</a> -->
        </div>
    </h4>
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover" id="peripheral">
            <thead>
                <tr>
                    <th>No</th>
                    <th>ID</th>
                    <th>No Surat</th>
                    <th>Nama Karyawan</th>
                    <th>Dep</th>
                    <th>Nama Barang</th>
                    <th>Validasi</th>
                    <th><i class="glyphicon glyphicon-cog"></i></th>
                </tr>
            </thead>
            <tbody>
                <?php
                $no = 1;
                $sql = mysqli_query($con, "SELECT * FROM tb_pengajuan
                INNER JOIN tb_nama ON tb_pengajuan.nama = tb_nama.id_karyawan") or die(mysqli_error($con));
                while ($data = mysqli_fetch_array($sql)) { ?>
                    <tr>
                        <td><?= $no++ ?></td>
                        <td><?= $data['id'] ?></td>
                        <td><?= $data['kd_pnj'] ?></td>
                        <td><?= $data['nama_karyawan'] ?></td>
                        <td><?= $data['dep'] ?></td>
                        <td><?= $data['nm_brg'] ?></td>
                        <td><?php
                            switch ($data['validasi']) {
                                case 0:
                                    echo '<a class="btn btn-info btn-xs" href="edit.php?id=' . $data['id'] . '">PROCESSED</a>';
                                    break;
                                case 1;
                                    echo '<a class="btn btn-success btn-xs" href="edit.php?id=' . $data['id'] . '">APPROVED</a>';
                                    break;
                                case 2;
                                    echo '<a class="btn btn-danger btn-xs" href="edit.php?id=' . $data['id'] . '">REJECTED</a>';
                                    break;
                            } ?></td>
                        <td>
                            <!-- <a href="edit.php?id=<?= $data['id'] ?>" class="btn btn-success btn-xs">
                                <span class="glyphicon glyphicon-edit"></span>
                            </a> -->
                            <a href="view_pnj.php?id=<?= $data['id'] ?>" target="_blank" class="btn btn-primary btn-xs">
                                <span class="glyphicon glyphicon-eye-open"></span>
                            </a>
                            <a href="del_pnj.php?id=<?= $data['id'] ?>" class="btn btn-danger btn-xs" onclick="return confirm('Yakin menghapus data?')">
                                <span class="glyphicon glyphicon-trash"> </span>
                            </a>
                        </td>
                    </tr>
                <?php
                } ?>
            </tbody>
        </table>
    </div>
</div>
<script>
    $(document).ready(function() {

        $('#peripheral').DataTable({
            columnDefs: [{
                "searchable": true,
                "orderable": true,
                "targets": [0, 6]
            }],
            "order": [1, "asc"]
        });

        $('#select_all').on('click', function() {
            if (this.checked) {
                $('.check').each(function() {
                    this.checked = true;
                })
            } else {
                $('.check').each(function() {
                    this.checked = true;
                })
            }
        });

        $('.check').on('click', function() {
            if ($('.check:checked').length == $('.check').length) {
                $('#select_all').prop('checked', true)
            } else {
                $('#select_all').prop('checked', false)
            }
        })
    })

    function hapus() {
        var conf = confirm('Yakin akan menghapus data?');
        if (conf) {
            document.proses.action = 'del_pnj.php';
            document.proses.submit();
        }
    }
</script>
<?php include_once('../_footer.php'); ?>